function [] = Makefigure(input_filename,input_outputtracefolder,input_x,input_y,input_scale,...
    input_time_sequence,input_distance_reference, input_bin)

    n=floor((length(input_x))/input_bin);   
    
    for m=1:n
        startpoint=max(find(input_filename=='\'))+1;
        endpoint=max(find(input_filename=='.'))-1;     
        figurename_trace=[input_outputtracefolder,'\',input_filename(startpoint:endpoint),'_trace_',num2str(m),'.png'];    
        figurename_approach=[input_outputtracefolder,'\',input_filename(startpoint:endpoint),'_approach_',num2str(m),'.png'];
        
        trace=figure('visible','on');
        plot(input_x((m-1)*input_bin+1:m*input_bin),input_y((m-1)*input_bin+1:m*input_bin));
        xlim([0,input_scale]);
        ylim([0,input_scale]);
        title(figurename_trace);
        saveas(trace,figurename_trace);
        close;
              
        approach=figure('visible','on');        
        plot(input_time_sequence((m-1)*input_bin+1:m*input_bin),input_distance_reference((m-1)*input_bin+1:m*input_bin));
        ylim([0,input_scale*sqrt(2)]);
        title(figurename_approach);
        saveas(approach,figurename_approach); 
        close
    end
    
        startpoint=max(find(input_filename=='\'))+1;
        endpoint=max(find(input_filename=='.'))-1;     
        figurename_trace=[input_outputtracefolder,'\',input_filename(startpoint:endpoint),'_trace_all.png'];    
        figurename_approach=[input_outputtracefolder,'\',input_filename(startpoint:endpoint),'_approach_all.png'];
        
        trace=figure;
        plot(input_x,input_y);
        xlim([0,input_scale]);
        ylim([0,input_scale]);
        title(figurename_trace);
        saveas(trace,figurename_trace);
               
        approach=figure;        
        plot(input_time_sequence,input_distance_reference);
        ylim([0,input_scale*sqrt(2)]);
        title(figurename_approach);
        saveas(approach,figurename_approach);    

end

