function [output_approach_number, output_approach_time] = Approachparameter(input_distance_reference, input_approachthreshold_distance,input_approachthreshold_duration, input_retreatthreshold_distance,input_bin)

    n=floor((length(input_distance_reference))/input_bin);
    output_approach_number=zeros(n,1);
    output_approach_time=zeros(n,1);    
    distance=input_distance_reference-input_approachthreshold_distance; % adjust the baseline
    for m=1:n
        output_approach_number(m,1)=0;
        output_approach_time(m,1)=0; 
        check=0;
        sum=0;
        for i=(m-1)*input_bin+1:m*input_bin
            if distance(i)<0
                output_approach_time(m,1)=output_approach_time(m,1)+1;
                sum=sum+1;
                if sum>input_approachthreshold_duration && check==0
                    output_approach_number(m,1)=output_approach_number(m,1)+1;
                    check=1;
                end
            end
            if distance(i)>input_retreatthreshold_distance-input_approachthreshold_distance
                check=0;
                sum=0;
            end
        end
    end 
end

